diff --git a/doc/credits-and-license.docbook b/doc/credits-and-license.docbook
index 8b40a27..4e4c641 100644
--- a/doc/credits-and-license.docbook
+++ b/doc/credits-and-license.docbook
@@ -128,8 +128,11 @@
 
   <para>Documentation Copyright 2000-2003 Shie Erlich and Rafi Yanai.</para>
   <para>Documentation Copyright 2004-2010 Frank Schoolmeesters.</para>
+  <!-- TRANS:CREDIT_FOR_TRANSLATORS -->
+  &underFDL;
+  
   <para>Copyright 2004-2010 &krusader; Krew <email>krusader * users.sourceforge.net</email>.</para>
   
-  &underGPL;&underFDL;
+  &underGPL;
   
 </chapter>
diff --git a/doc/konfigurator.docbook b/doc/konfigurator.docbook
index 33a99fd..d6ee7ad 100644
--- a/doc/konfigurator.docbook
+++ b/doc/konfigurator.docbook
@@ -520,11 +520,11 @@
         <title>
           <guilabel>Visible Panel Toolbar buttons</guilabel>
         </title>
-        <listitem>
+        <!-- not in master <listitem>
           <para>
           <guilabel>Clear Location Toolbar</guilabel> button: Clears
           the <link linkend="list_panel">Location Toolbar</link></para>
-        </listitem>
+	</listitem> -->
         <listitem>
           <para>
           <guilabel>Open button</guilabel></para>
@@ -678,7 +678,7 @@
             </listitem>
             <listitem>
               <para>
-                <guilabel>Right-clicking shows the context menu
+                <guilabel>Right-clicking pops context menu
                 immediately</guilabel>
               </para>
             </listitem>
@@ -704,7 +704,7 @@
         </listitem>
         <listitem>
           <para>
-          <guilabel>Frame Shape:</guilabel> defines frame color. Can be <guimenuitem>Defined by Layout</guimenuitem>, <guimenuitem>None</guimenuitem>, or <guimenuitem>Statusbar</guimenuitem>.</para>
+          <guilabel>Frame Shadow:</guilabel> defines frame color. Can be <guimenuitem>Defined by Layout</guimenuitem>, <guimenuitem>None</guimenuitem>, or <guimenuitem>Statusbar</guimenuitem>.</para>
         </listitem>
       </itemizedlist></para>
     </sect2>
@@ -728,8 +728,7 @@
               <para>
               <guilabel>Use the default KDE colors</guilabel>: this
               is the default, it uses &kde; color
-              settings of 
-              <command>kcontrol</command>.</para>
+              defined in the &systemsettings;.</para>
             </listitem>
             <listitem>
               <para>
@@ -1086,7 +1085,7 @@
         </term>
         <listitem>
           <itemizedlist>
-            <listitem>
+	    <!-- not in master <listitem>
               <para>
               <guilabel>Preserve attributes for local copy/move
               (slower)</guilabel>: If checked,
@@ -1094,7 +1093,7 @@
               attributes (time, owner, group) of the local files
               according to the source file depending on your 
               <link linkend="copying">permissions</link>.</para>
-            </listitem>
+	    </listitem> -->
             <listitem>
               <para>
               <guilabel>Automount filesystems</guilabel>: this
@@ -1112,7 +1111,7 @@
               <filename class="directory">
               /mnt/cdrom</filename>.</para>
             </listitem>
-            <listitem>
+            <!-- not in master <listitem>
               <para>
               <guilabel>Do not use KDE media protocol for the
               Media button (if it is buggy or missing)</guilabel>:
@@ -1122,7 +1121,7 @@
               Choose this when the media protocol is buggy (in some
               older &kde; versions) or if you have no
               kdebase package installed on your system.</para>
-            </listitem>
+	    </listitem> -->
             <listitem>
               <para>
               <guilabel>MountMan won't (un)mount the following
@@ -1232,7 +1231,7 @@
     <para>
       <guilabel>Fine-Tuning</guilabel>
       <itemizedlist>
-        <listitem>
+        <!-- not in master <listitem>
           <para>
           <guilabel>Allow moving into archives</guilabel>: this
           option allows you to move files into an archive (as
@@ -1248,10 +1247,10 @@
             You can search the directory and recover your
             files.</para>
           </note></para>
-        </listitem>
+	</listitem> -->
         <listitem>
           <para>
-          <guilabel>Test archives when finished packing</guilabel>:
+          <guilabel>Test archives after packing</guilabel>:
           this option automatically runs a test on a newly packed
           archive. It is safer, but takes longer.</para>
         </listitem>
@@ -1911,7 +1910,7 @@
     protocol "tar" is linked to mime "application/x-tar".</para>
 
     <para>In the 
-    <guilabel>Defined Links</guilabel> you will see &eg; 
+    <guilabel>Links</guilabel> you will see &eg; 
     <itemizedlist>
       <listitem>
         <para>Iso</para>
diff --git a/doc/menu-commands.docbook b/doc/menu-commands.docbook
index 5e9a7c4..af4a430 100644
--- a/doc/menu-commands.docbook
+++ b/doc/menu-commands.docbook
@@ -628,7 +628,7 @@
           <menuchoice>
             <shortcut>
               <keycombo action="simul">&Alt;
-              <keycap>KP_Enter</keycap></keycombo>
+              &Enter;</keycombo>
             </shortcut>
             <guimenu>Edit</guimenu>
             <guimenuitem>Properties</guimenuitem>
@@ -830,47 +830,50 @@
       <varlistentry>
         <term>
           <menuchoice>
+            <shortcut>
+              <keycombo action="simul">&Alt;
+              <keysym>Up</keysym></keycombo>
+            </shortcut>
             <guimenu>Go</guimenu>
-            <guimenuitem>Back</guimenuitem>
+            <guimenuitem>Up</guimenuitem>
           </menuchoice>
         </term>
         <listitem>
-          <para>Navigates to the previously viewed directory in the
-          active panel.</para>
+          <para>Navigates to the parent directory of the active
+          panel.</para>
         </listitem>
       </varlistentry>
       <varlistentry>
         <term>
           <menuchoice>
             <shortcut>
-              <keycombo action="simul">&Ctrl;
-              <keysym>PgUp</keysym></keycombo>
+              <keycombo action="simul">&Alt;
+              <keysym>Left</keysym></keycombo>
             </shortcut>
             <guimenu>Go</guimenu>
-            <guimenuitem>Up</guimenuitem>
+            <guimenuitem>Back</guimenuitem>
           </menuchoice>
         </term>
         <listitem>
-          <para>Navigates to the parent directory of the active
-          panel.</para>
+          <para>Navigates to the previously viewed directory in the
+          active panel.</para>
         </listitem>
       </varlistentry>
-      <varlistentry>
+<!-- missing      <varlistentry>
         <term>
           <menuchoice>
             <shortcut>
-              <keycombo action="simul">&Ctrl;
-              &Backspace;</keycombo>
+              <keycombo action="simul">&Alt;
+              <keysym>Right</keysym></keycombo>
             </shortcut>
             <guimenu>Go</guimenu>
-            <guimenuitem>Root</guimenuitem>
+            <guimenuitem>Forward</guimenuitem>
           </menuchoice>
         </term>
         <listitem>
-          <para>Navigates to the root directory of the
-          system.</para>
+          <para></para>
         </listitem>
-      </varlistentry>
+      </varlistentry> -->
       <varlistentry>
         <term>
           <menuchoice>
@@ -892,6 +895,22 @@
           <menuchoice>
             <shortcut>
               <keycombo action="simul">&Ctrl;
+              &Backspace;</keycombo>
+            </shortcut>
+            <guimenu>Go</guimenu>
+            <guimenuitem>Root</guimenuitem>
+          </menuchoice>
+        </term>
+        <listitem>
+          <para>Navigates to the root directory of the
+          system.</para>
+        </listitem>
+      </varlistentry>
+      <varlistentry>
+        <term>
+          <menuchoice>
+            <shortcut>
+              <keycombo action="simul">&Ctrl;
               <keycap>Z</keycap></keycombo>
             </shortcut>
             <guimenu>Go</guimenu>
@@ -957,19 +976,29 @@
       <varlistentry>
         <term>
           <menuchoice>
-            <guimenu>Useractions</guimenu>
-            <guimenuitem>Your own Useractions</guimenuitem>
+            <shortcut>
+              <keycombo action="simul">
+                <keycap>Meta</keycap>
+                <keycap>A</keycap>
+              </keycombo>
+            </shortcut>
+            <guimenu>Useractions</guimenu><guisubmenu>Multimedia</guisubmenu>
+            <guimenuitem>Enqueue in Amarok</guimenuitem>
           </menuchoice>
         </term>
         <listitem>
-          <para>Opens the default user actions and those
-          created by the user.</para>
+          <para>Appends selected item(s) to Amarok playlist.</para>
         </listitem>
       </varlistentry>
       <varlistentry>
         <term>
           <menuchoice>
-            <guimenu>Useractions</guimenu>
+            <shortcut>
+              <keycombo action="simul">
+                &Ctrl;&Alt;
+              </keycombo>
+            </shortcut>
+            <guimenu>Useractions</guimenu><guisubmenu>Samples</guisubmenu>
             <guimenuitem>Equal panel-size</guimenuitem>
           </menuchoice>
         </term>
@@ -981,7 +1010,12 @@
       <varlistentry>
         <term>
           <menuchoice>
-            <guimenu>Useractions</guimenu>
+            <shortcut>
+              <keycombo action="simul">
+                &Ctrl;<keycap>E</keycap>
+              </keycombo>
+            </shortcut>
+            <guimenu>Useractions</guimenu><guisubmenu>Samples</guisubmenu>
             <guimenuitem>Edit as root</guimenuitem>
           </menuchoice>
         </term>
@@ -993,7 +1027,12 @@
       <varlistentry>
         <term>
           <menuchoice>
-            <guimenu>Useractions</guimenu>
+            <shortcut>
+              <keycombo action="simul">
+                &Ctrl;&Alt;<keycap>M</keycap>
+              </keycombo>
+            </shortcut>
+            <guimenu>Useractions</guimenu><guisubmenu>Samples</guisubmenu>
             <guimenuitem>Mount</guimenuitem>
           </menuchoice>
         </term>
@@ -1004,24 +1043,35 @@
       <varlistentry>
         <term>
           <menuchoice>
-            <guimenu>Useractions</guimenu>
-            <guimenuitem>Enqueue in Amarok</guimenuitem>
+            <shortcut>
+              <keycombo action="simul">
+                &Ctrl;&Alt;<keycap>C</keycap>
+              </keycombo>
+            </shortcut>
+            <guimenu>Useractions</guimenu><guisubmenu>Samples</guisubmenu>
+            <guimenuitem>Copy current item to
+            clipboard</guimenuitem>
           </menuchoice>
         </term>
         <listitem>
-          <para>Appends selected item(s) to Amarok playlist.</para>
+          <para>Copies selected item(s) to the clipboard.</para>
         </listitem>
       </varlistentry>
       <varlistentry>
         <term>
           <menuchoice>
-            <guimenu>Useractions</guimenu>
-            <guimenuitem>Copy current item to
-            clipboard</guimenuitem>
+            <shortcut>
+              <keycombo action="simul">
+                <keycap>Meta</keycap><keycap>F5</keycap>
+              </keycombo>
+            </shortcut>
+            <guimenu>Useractions</guimenu><guisubmenu>System</guisubmenu>
+            <guimenuitem>Backup current</guimenuitem>
           </menuchoice>
         </term>
         <listitem>
-          <para>Copies selected item(s) to the clipboard.</para>
+          <para>Backups current file in current directory and asks the user for a new filename. 
+                By default <filename>.old</filename> is appended to the original filename.</para>
         </listitem>
       </varlistentry>
       <varlistentry>
@@ -1029,11 +1079,11 @@
           <menuchoice>
             <shortcut>
               <keycombo action="simul">
-                <keycap>Win</keycap>
+                <keycap>Meta</keycap>
                 <keycap>1</keycap>
               </keycombo>
             </shortcut>
-            <guimenu>Useractions</guimenu>
+            <guimenu>Useractions</guimenu><guisubmenu>User Interface</guisubmenu>
             <guimenuitem>Sort By Name</guimenuitem>
           </menuchoice>
         </term>
@@ -1048,11 +1098,11 @@
           <menuchoice>
             <shortcut>
               <keycombo action="simul">
-                <keycap>Win</keycap>
+                <keycap>Meta</keycap>
                 <keycap>2</keycap>
               </keycombo>
             </shortcut>
-            <guimenu>Useractions</guimenu>
+            <guimenu>Useractions</guimenu><guisubmenu>User Interface</guisubmenu>
             <guimenuitem>Sort By Extension</guimenuitem>
           </menuchoice>
         </term>
@@ -1069,11 +1119,11 @@
           <menuchoice>
             <shortcut>
               <keycombo action="simul">
-                <keycap>Win</keycap>
+                <keycap>Meta</keycap>
                 <keycap>3</keycap>
               </keycombo>
             </shortcut>
-            <guimenu>Useractions</guimenu>
+            <guimenu>Useractions</guimenu><guisubmenu>User Interface</guisubmenu>
             <guimenuitem>Sort By Size</guimenuitem>
           </menuchoice>
         </term>
@@ -1089,11 +1139,11 @@
           <menuchoice>
             <shortcut>
               <keycombo action="simul">
-                <keycap>Win</keycap>
+                <keycap>Meta</keycap>
                 <keycap>4</keycap>
               </keycombo>
             </shortcut>
-            <guimenu>Useractions</guimenu>
+            <guimenu>Useractions</guimenu><guisubmenu>User Interface</guisubmenu>
             <guimenuitem>Sort By Modified</guimenuitem>
           </menuchoice>
         </term>
@@ -1107,18 +1157,12 @@
       <varlistentry>
         <term>
           <menuchoice>
-            <shortcut>
-              <keycombo action="simul">
-                &Shift;<keycap>F5</keycap>
-              </keycombo>
-            </shortcut>
             <guimenu>Useractions</guimenu>
-            <guimenuitem>Backup current</guimenuitem>
+            <guimenuitem>Your own Useractions</guimenuitem>
           </menuchoice>
         </term>
         <listitem>
-          <para>Backups current file in current directory and asks the user for a new filename. 
-                By default <filename>.old</filename> is appended to the original filename.</para>
+          <para>Opens the user actions created by the user.</para>
         </listitem>
       </varlistentry>
     </variablelist>
@@ -1201,7 +1245,7 @@
           <menuchoice>
             <shortcut>
               <keycombo action="simul">&Alt;&Shift;
-              <keycap>D</keycap></keycombo>
+              <keycap>S</keycap></keycombo>
             </shortcut>
             <guimenu>Tools</guimenu>
             <guimenuitem>Disk Usage</guimenuitem>
@@ -1385,7 +1429,7 @@
         <term>
           <menuchoice>
             <guimenu>Settings</guimenu>
-            <guimenuitem>Show Toolbar</guimenuitem>
+            <guimenuitem>Show Main Toolbar</guimenuitem>
           </menuchoice>
         </term>
         <listitem>
@@ -1448,7 +1492,7 @@
           <menuchoice>
             <shortcut>
               <keycombo action="simul">
-              &Alt;&Ctrl;
+              &Ctrl;&Alt;
               <keycap>T</keycap></keycombo>
             </shortcut>
             <guimenu>Settings</guimenu>
